#!/bin/sh

make
./daes -k keyfile.key -o gpl.txt.aes_encrypted_with_keyfile gpl.txt
./daes -K 0118999 88199 9119 7253 -o gpl.txt.aes_encrypted_with_commandline gpl.txt
./daes -s -k keyfile.key -o gpl.txt.aes_encrypted_with_keyfile_salted gpl.txt
./daes -s -K 0118999 88199 9119 7253 -o gpl.txt.aes_encrypted_with_commandline_salted gpl.txt
./daes -s -R -o gpl.txt.aes_encrypted_with_random_key gpl.txt

./daes -d -k keyfile.key -o test1.txt gpl.txt.aes_encrypted_with_keyfile
./daes -d -K 0118999 88199 9119 7253  -o test2.txt gpl.txt.aes_encrypted_with_commandline
./daes -d -k keyfile.key -o test3.txt gpl.txt.aes_encrypted_with_keyfile_salted
./daes -d -K 0118999 88199 9119 7253  -o test4.txt gpl.txt.aes_encrypted_with_commandline_salted


md5 test1.txt test2.txt test3.txt test4.txt gpl.txt
md5sum test1.txt test2.txt test3.txt test4.txt gpl.txt

